Message::Passing::Filter::T(3pm)

NAME
Message::Passing::Filter::T - Send a message stream to multiple outputs.

DESCRIPTION
This filter is used to duplicate a message stream to two or more outputs.

All messages are duplicated to all output streams, so you may want to follow this with Message::Passing::Filter::Key to one or more of those streams.

ATTRIBUTES

  output_to
Just like a normal Message::Passing::Role::Input class, except takes an array of outputs.

METHODS

  consume
Sends the consumed message to all output_to instances.

SPONSORSHIP
This module exists due to the wonderful people at Suretec Systems Ltd. <http://www.suretecsystems.com/> who sponsored its development for its VoIP division called SureVoIP <http://www.surevoip.co.uk/> for use with the SureVoIP API - <http://www.surevoip.co.uk/support/wiki/api_documentation>

AUTHOR, COPYRIGHT AND LICENSE
See Message::Passing.